Package org.globus.io.gass.server

# Class RemoteGassServer

java.lang.Object
org.globus.io.gass.server.RemoteGassServer

public class RemoteGassServer extends Object
This class allows for starting gass server remotely. The gass server is started via the globus gatekeeper.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LINE_BUFFER_ENABLE`
`static final int`
`TILDE_EXPAND_ENABLE`
`static final int`
`USER_EXPAND_ENABLE`

## Constructor Summary

Constructors
Constructor
Description
`RemoteGassServer()`
Starts Gass Server with default user credentials.
`RemoteGassServer(boolean secure, int port)`
Starts Gass Server on given port and mode.
`RemoteGassServer(GSSCredential cred, boolean secure, int port)`
Starts Gass Server on given port and mode.

## Method Summary

Modifier and Type
Method
Description
`int`
`getOptions()`
Returns current options of the server.
`String`
`getURL()`
Returns url of this server.
`static void`
`main(String[] args)`
`void`
`setCompatibilityMode(boolean compatibility)`
Sets the compatibility mode to work with the old globus 1.1.x installations.
`void`
`setOptions(int options)`
Sets the options of the gass server such as enabling client shutdown, etc.
`boolean`
`shutdown()`
Shutdowns remotely running gass server.
`void`
`start(String rmc)`
Starts the gass server on the remote machine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LINE_BUFFER_ENABLE

public static final int LINE_BUFFER_ENABLE

See Also:
  - Constant Field Values

### TILDE_EXPAND_ENABLE

public static final int TILDE_EXPAND_ENABLE

See Also:
  - Constant Field Values

### USER_EXPAND_ENABLE

public static final int USER_EXPAND_ENABLE

See Also:
  - Constant Field Values

## Constructor Details

### RemoteGassServer

public RemoteGassServer()
Starts Gass Server with default user credentials. Port of the server will be dynamically assigned.

### RemoteGassServer

public RemoteGassServer(boolean secure, int port)
Starts Gass Server on given port and mode. Default credentials will be used to start the server.

Parameters:
  `secure` - if true starts server in secure mode, otherwise unsecure.
  `port` - port of the server, if 0 it will be dynamically assigned.

### RemoteGassServer

public RemoteGassServer(GSSCredential cred, boolean secure, int port)
Starts Gass Server on given port and mode. The supplied credentials will be used to start the server.

Parameters:
  `cred` - credentials to use to start the server.
  `secure` - if true starts server in secure mode, otherwise unsecure.
  `port` - port of the server, if 0 it will be dynamically assigned.

## Method Details

### getURL

public String getURL()
Returns url of this server.

Returns:
  url of this server

### setOptions

public void setOptions(int options)
Sets the options of the gass server such as enabling client shutdown, etc.

Parameters:
  `options` - server options

### getOptions

public int getOptions()
Returns current options of the server.

Returns:
  options of the server. O if not none set.

### setCompatibilityMode

public void setCompatibilityMode(boolean compatibility)
Sets the compatibility mode to work with the old globus 1.1.x installations.

Parameters:
  `compatibility` - set to true if working with the old globus 1.1.x installation.

### start

public void start(String rmc) throws GassException
Starts the gass server on the remote machine.

Parameters:
  `rmc` - resource manager contact of the remote machine.
Throws:
  `GassException` - if any error occurs during remote startup.

### shutdown

public boolean shutdown()
Shutdowns remotely running gass server.

Returns:
  true if server was successfully killed, false otherwise.

### main

public static void main(String[] args)